Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 208386 - GNOME screwed after upgrade
Summary: GNOME screwed after upgrade
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-28 10:32 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 19:09:07 UTC


Attachments (Terms of Use)

Description David Woodhouse 2006-09-28 10:32:38 UTC
After upgrading a system from FC5 to rawhide, GNOME was mostly non-functional.
New users got a black background and an _empty_ panel, with messages in
.xsession-errors from gnome-panel, suggesting that 'gconftool-2 --load' has not
been run. Running gnome-theme-manager failed, suggesting that metacity isn't
installed (which it was, of course) or that gconf was misconfigured.

Removing the contents of /etc/gconf/gconf.xml.defaults and replacing the entire
directory with the contents of same from a newly-installed rawhide machine was
sufficient to fix this.

But these files don't seem to be owned by any package, and I can't see how they
get created.

Comment 1 David Woodhouse 2006-09-28 15:14:18 UTC
Found this in /root/upgrade.log...

Upgrading system-config-display - 1.0.45-1.noarch
/var/tmp/rpm-tmp.30456: line 2: [-x: command not found
Must set the GCONF_CONFIG_SOURCE environment variable
error: %postun(gconf-editor-2.10.0-2.ppc) scriptlet failed, exit status 1
Cache file created successfully.
Must set the GCONF_CONFIG_SOURCE environment variable
error: %postun(gconf-editor-2.10.0-3.ppc) scriptlet failed, exit status 1
warning: /etc/alchemist/namespace/printconf/local.adl saved as
/etc/alchemist/namespace/printconf/local.adl.rpmsave
warning: /etc/sysconfig/rhn/sources saved as /etc/sysconfig/rhn/sources.rpmsave


Comment 2 Ray Strode [halfline] 2006-09-28 18:53:03 UTC
Looks like this bug 152238.

Comment 3 David Woodhouse 2006-09-28 19:42:21 UTC
Would that explain the whole thing? Or does bug 152238 only explain what I see
in comment 1 and not the original bug?

Comment 4 Ray Strode [halfline] 2007-03-06 19:09:07 UTC
there was a problem a while back where gconftool-2 was segfaulting randomly.  I
think that would explain this behavior.

The bug was a kernel bug, but I can't seem to find it right now.

I'm going to close this bug because i'm trying to sweep up bugzilla today.  If
this is something you've hit again, please reopen the report, because it sounds
pretty serious.


Note You need to log in before you can comment on or make changes to this bug.